<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.fateverse.query.mapper.DynamicDataSourceMapper">

    <resultMap type="cn.fateverse.query.entity.Table" id="TableResult">
        <result property="tableName"      column="table_name"        />
        <result property="tableComment"   column="table_comment"     />
        <result property="dataSourceType" column="data_source_type"  />
        <result property="createTime"     column="create_time"       />
        <result property="updateTime"     column="update_time"       />
    </resultMap>

    <resultMap type="cn.fateverse.query.entity.DynamicTable" id="DynamicTableResult">
        <result property="tableName"      column="table_name"        />
        <result property="tableComment"   column="table_comment"     />
        <result property="createTime"     column="create_time"       />
        <result property="updateTime"     column="update_time"       />
    </resultMap>

    <resultMap type="cn.fateverse.query.entity.TableColumn" id="TableColumnResult">
        <id     property="columnId"       column="column_id"      />
        <result property="tableId"        column="table_id"       />
        <result property="columnName"     column="column_name"    />
        <result property="columnComment"  column="column_comment" />
        <result property="columnType"     column="column_type"    />
        <result property="pk"             column="pk"             />
        <result property="sort"           column="sort"           />
        <result property="createBy"       column="create_by"      />
        <result property="createTime"     column="create_time"    />
        <result property="updateBy"       column="update_by"      />
        <result property="updateTime"     column="update_time"    />
    </resultMap>
</mapper>